openSUSE Security Update: Security update for python3
______________________________________________________________________________

Announcement ID:    openSUSE-SU-2020:2190-1
Rating:             important
References:         #1176262 #1179193 
Cross-References:   CVE-2019-20916
Affected Products:
                    openSUSE Leap 15.1
______________________________________________________________________________

   An update that solves one vulnerability and has one errata
   is now available.

Description:

   This update for python3 fixes the following issues:

   Update to 3.6.12 (bsc#1179193), including:

   - Fixed a directory traversal in _download_http_url() (bsc#1176262
     CVE-2019-20916)

   This update was imported from the SUSE:SLE-15:Update update project.


Patch Instructions:

   To install this openSUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.1:

      zypper in -t patch openSUSE-2020-2190=1



Package List:

   - openSUSE Leap 15.1 (i586 x86_64):

      libpython3_6m1_0-3.6.12-lp151.6.27.1
      libpython3_6m1_0-debuginfo-3.6.12-lp151.6.27.1
      python3-3.6.12-lp151.6.27.1
      python3-base-3.6.12-lp151.6.27.1
      python3-base-debuginfo-3.6.12-lp151.6.27.1
      python3-base-debugsource-3.6.12-lp151.6.27.1
      python3-curses-3.6.12-lp151.6.27.1
      python3-curses-debuginfo-3.6.12-lp151.6.27.1
      python3-dbm-3.6.12-lp151.6.27.1
      python3-dbm-debuginfo-3.6.12-lp151.6.27.1
      python3-debuginfo-3.6.12-lp151.6.27.1
      python3-debugsource-3.6.12-lp151.6.27.1
      python3-devel-3.6.12-lp151.6.27.1
      python3-devel-debuginfo-3.6.12-lp151.6.27.1
      python3-idle-3.6.12-lp151.6.27.1
      python3-testsuite-3.6.12-lp151.6.27.1
      python3-testsuite-debuginfo-3.6.12-lp151.6.27.1
      python3-tk-3.6.12-lp151.6.27.1
      python3-tk-debuginfo-3.6.12-lp151.6.27.1
      python3-tools-3.6.12-lp151.6.27.1

   - openSUSE Leap 15.1 (x86_64):

      libpython3_6m1_0-32bit-3.6.12-lp151.6.27.1
      libpython3_6m1_0-32bit-debuginfo-3.6.12-lp151.6.27.1
      python3-32bit-3.6.12-lp151.6.27.1
      python3-32bit-debuginfo-3.6.12-lp151.6.27.1
      python3-base-32bit-3.6.12-lp151.6.27.1
      python3-base-32bit-debuginfo-3.6.12-lp151.6.27.1


References:

   https://www.suse.com/security/cve/CVE-2019-20916.html
   https://bugzilla.suse.com/1176262
   https://bugzilla.suse.com/1179193
_______________________________________________
openSUSE Security Announce mailing list -- [email protected]
To unsubscribe, email [email protected]
List Netiquette: https://en.opensuse.org/openSUSE:Mailing_list_netiquette
List Archives: https://lists.opensuse.org/archives/list/[email protected]